For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
13.5kProductPricingSign inStart free trialBook a demo
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
    • API overview
  • Client API
  • Frontend API
  • Admin API
      • GETValidate signup token
      • POSTAdd a user via a signup token
      • GETGet public signup tokens
      • POSTCreate a public signup token
      • GETRetrieve a token
      • PUTUpdate a public signup token

Unleash reduces the risk of releasing new features, drives innovation by streamlining the software release process, and increases revenue by optimizing end-user experience. While we serve the needs of the world's largest, most security-conscious organizations, we are also rated the “Easiest Feature Management system to use” by G2.

GitHubGitHubLinkedInLinkedInX (Twitter)X (Twitter)SlackSlackStack OverflowStack OverflowYouTubeYouTube

Server SDKs

  • Node.js
  • Java
  • Go
  • Rust
  • Ruby
  • Python
  • .NET
  • PHP
  • All SDKs

Frontend SDKs

  • JavaScript
  • React
  • Next.js
  • Vue
  • iOS
  • Android
  • Flutter

Feature Flag use cases

  • Secure, scalable feature flags
  • Rollbacks
  • FedRAMP, SOC2, ISO2700 compliance
  • Progressive or gradual rollouts
  • Trunk-based development
  • Software kill switches
  • A/B testing
  • Feature management
  • Canary releases

Product

  • Quickstart
  • Unleash architecture
  • Pricing
  • Product vision
  • Open live demo
  • Open source
  • Enterprise feature management platform
  • Unleash vs LaunchDarkly

Support

  • Help center
  • Status
  • Changelog
Made in a cosy atmosphere in the Nordic countries.Copyright © 2026 Unleash
LogoLogo
13.5kProductPricingSign inStart free trialBook a demo
Admin APIPublic signup tokens

Get public signup tokens

||View as Markdown|
GET
https://app.unleash-instance.example.com/api/admin/invite-link/tokens
GET
/api/admin/invite-link/tokens
$curl https://app.unleash-instance.example.com/api/admin/invite-link/tokens \
> -H "Authorization: <apiKey>"
200Retrieved
1{
2 "tokens": [
3 {
4 "secret": "a3c84b25409ea8ca1782ef17f94a42fc",
5 "url": "https://my_unleash_instance/new-user?invite=a3c84b25409ea8ca1782ef17f94a42fc",
6 "name": "Invite public viewers",
7 "enabled": false,
8 "expiresAt": "2023-04-12T11:13:31.960Z",
9 "createdAt": "2023-04-12T11:13:31.960Z",
10 "createdBy": "someone",
11 "role": {
12 "id": 3,
13 "type": "root",
14 "name": "Viewer"
15 },
16 "users": null
17 }
18 ]
19}
Retrieves all existing public signup tokens.
Was this page helpful?
Previous

Create a public signup token

Next
Built with

Authentication

Authorizationstring
API key needed to access this API
OR
AuthorizationBearer
API key needed to access this API, in Bearer token format

Response

publicSignupTokensSchema
tokenslist of objects
An array of all the public signup tokens